package com.fs.crm.service;

import com.fs.common.core.domain.R;
import com.fs.crm.domain.CrmCustomerAssign;
import com.fs.crm.vo.CrmCustomerAssignListVO;

import java.util.List;

/**
 * 客户分配记录Service接口
 *
 * @author fs
 * @date 2023-03-30
 */
public interface ICrmCustomerAssignService
{
    /**
     * 查询客户分配记录
     *
     * @param assignId 客户分配记录ID
     * @return 客户分配记录
     */
    public CrmCustomerAssign selectCrmCustomerAssignById(Long assignId);

    /**
     * 查询客户分配记录列表
     *
     * @param crmCustomerAssign 客户分配记录
     * @return 客户分配记录集合
     */
    public List<CrmCustomerAssign> selectCrmCustomerAssignList(CrmCustomerAssign crmCustomerAssign);

    /**
     * 新增客户分配记录
     *
     * @param crmCustomerAssign 客户分配记录
     * @return 结果
     */
    public int insertCrmCustomerAssign(CrmCustomerAssign crmCustomerAssign);

    /**
     * 修改客户分配记录
     *
     * @param crmCustomerAssign 客户分配记录
     * @return 结果
     */
    public int updateCrmCustomerAssign(CrmCustomerAssign crmCustomerAssign);

    /**
     * 批量删除客户分配记录
     *
     * @param assignIds 需要删除的客户分配记录ID
     * @return 结果
     */
    public int deleteCrmCustomerAssignByIds(Long[] assignIds);

    /**
     * 删除客户分配记录信息
     *
     * @param assignId 客户分配记录ID
     * @return 结果
     */
    public int deleteCrmCustomerAssignById(Long assignId);

    List<CrmCustomerAssignListVO> selectCrmCustomerAssignListVO(CrmCustomerAssign crmCustomerAssign);

    R cancel(CrmCustomerAssign crmCustomerAssign, String operUserName);

    List<CrmCustomerAssignListVO> selectCompanyCrmCustomerAssignList(CrmCustomerAssign crmCustomerAssign);
}
